# Hue Lights Control

Control your Philips Hue lights from your Mac's menu bar.

![Hue Lights in menu bar](./screenshot.png)

## Installation

Unpack somewhere fun.
Create a new virtual environment.
Install dependencies.

```
python3 -m venv venv # remember where you put it
source venv/bin/activate
pip3 install -r requirements.txt
```

Run the app (configure first).

```
python3 lights.py
```

## Configuring the bridge

You'll need to configure the bridge's IP address in the `lights.py` file.

```
bridge = phue.Bridge('192.168.1.2')
```
Also, you'll need to adjust the path to your virtual environment in the `lights.py` file.

```
#! /Users/<yourusername>/path/to/venv/bin/python
```

## Persisting it between reboots

Simply create a launchd agent that runs the app.

```
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
    <key>Label</key>
    <string>com.yourusername.huelights</string>
    <key>ProgramArguments</key>
    <array>
        <string>/path/to/your/venv/bin/python</string>
        <string>/path/to/your/lights.py</string>
    </array>
    <key>RunAtLoad</key>
    <true/>
    <key>KeepAlive</key>
    <true/>
</dict>
</plist>
```

Load the agent.

```
launchctl load /path/to/your/com.yourusername.huelights.plist
```

You'll need to adjust the path to your virtual environment in the `lights.py` file.

```
#! /Users/<yourusername>/path/to/venv/bin/python
``` 

## License

This is free and unencumbered software released into the public domain under the CC0-1.0 license.

Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, in source code form, for any purpose, commercial or non-commercial, and by any
means.